summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-04-16 01:16:50 +0000
committerZac Medico <zmedico@gentoo.org>2007-04-16 01:16:50 +0000
commit8088ca8bbe6b202f7377b28ef29292ebe4aa97ca (patch)
treeec3844cda30d723551a6fc63c95acea5a8b97dbc
parentmisc style fixes (trunk r6400:6401) (diff)
downloadportage-multirepo-2.1.2.4.tar.gz
portage-multirepo-2.1.2.4.tar.bz2
portage-multirepo-2.1.2.4.zip
convert `type -p` to `type -P` as noted by grobian (trunk r6410:6411)v2.1.2.4
svn path=/main/branches/2.1.2/; revision=6414
-rwxr-xr-xbin/ebuild.sh6
-rwxr-xr-xbin/emerge-webrsync6
-rwxr-xr-xbin/etc-update2
-rwxr-xr-xbin/misc-functions.sh10
-rwxr-xr-xbin/prepall4
-rwxr-xr-xbin/prepstrip4
-rwxr-xr-xbin/sed2
7 files changed, 17 insertions, 17 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index f9cc6b6f..92f75455 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -524,7 +524,7 @@ econf() {
local TMP_CONFCACHE_DIR CONFCACHE_ARG
if hasq confcache $FEATURES && ! hasq confcache $RESTRICT; then
- CONFCACHE="$(type -p confcache)"
+ CONFCACHE="$(type -P confcache)"
if [ -z "${CONFCACHE}" ]; then
ewarn "disabling confcache, binary cannot be found"
else
@@ -762,7 +762,7 @@ dyn_clean() {
return 1
fi
- if type -p chflags &>/dev/null; then
+ if type -P chflags > /dev/null ; then
chflags -R noschg,nouchg,nosappnd,nouappnd "${PORTAGE_BUILDDIR}"
chflags -R nosunlnk,nouunlnk "${PORTAGE_BUILDDIR}" 2>/dev/null
fi
@@ -1480,7 +1480,7 @@ QA_INTERCEPTORS="javac java-config python python-config perl grep egrep fgrep se
# level the QA interceptors if we're in depend
if hasq "depend" "${EBUILD_SH_ARGS}"; then
for BIN in ${QA_INTERCEPTORS}; do
- BIN_PATH=$(type -pf ${BIN})
+ BIN_PATH=$(type -Pf ${BIN})
if [ "$?" != "0" ]; then
BODY="echo \"*** missing command: ${BIN}\" >&2; return 127"
else
diff --git a/bin/emerge-webrsync b/bin/emerge-webrsync
index 36b8e130..369f473b 100755
--- a/bin/emerge-webrsync
+++ b/bin/emerge-webrsync
@@ -39,9 +39,9 @@ else
fi
fi
-if type -p md5sum > /dev/null; then
+if type -P md5sum > /dev/null; then
md5_com='md5sum -c "${FILE}.md5sum"'
-elif type -p md5 > /dev/null; then
+elif type -P md5 > /dev/null; then
md5_com='[ "$(md5 -q ${FILE})" == "$(cut -d \ -f 1 ${FILE}.md5sum)" ]'
else
echo "warning, unable to do md5 verification of the snapshot!"
@@ -51,7 +51,7 @@ fi
sync_local() {
echo Syncing local tree...
- if type -p tarsync &> /dev/null; then
+ if type -P tarsync &> /dev/null; then
# tarsync doesn't take numeric uid/gid so we need to convert them.
local inst_user="$(python -c "import pwd; print pwd.getpwuid(int('${PORTAGE_INST_UID:-0}'))[0]")"
local inst_group="$(python -c "import grp; print grp.getgrgid(int('${PORTAGE_INST_GID:-0}'))[0]")"
diff --git a/bin/etc-update b/bin/etc-update
index ab376b83..742aed1b 100755
--- a/bin/etc-update
+++ b/bin/etc-update
@@ -10,7 +10,7 @@
# Leo Lipelis <aeoo@gentoo.org>
# Karl Trygve Kalleberg <karltk@gentoo.org>
-if type -p gsed >/dev/null ; then
+if type -P gsed >/dev/null ; then
function sed() { gsed "$@"; }
fi
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 71137f24..05a0f793 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -55,7 +55,7 @@ install_qa_check() {
sleep 1
done
- if type -p scanelf > /dev/null && ! hasq binchecks ${RESTRICT}; then
+ if type -P scanelf > /dev/null && ! hasq binchecks ${RESTRICT}; then
local qa_var insecure_rpath=0 tmp_quiet=${PORTAGE_QUIET}
# display warnings when using stricter because we die afterwards
@@ -366,8 +366,8 @@ install_mask() {
}
preinst_bsdflags() {
- type -p chflags &>/dev/null || return 0
- type -p mtree &>/dev/null || return 1
+ type -P chflags > /dev/null || return 0
+ type -P mtree > /dev/null || return 1
# Save all the file flags for restoration after installation.
mtree -c -p "${D}" -k flags > "${T}/bsdflags.mtree"
# Remove all the file flags so that the merge phase can do anything
@@ -377,8 +377,8 @@ preinst_bsdflags() {
}
postinst_bsdflags() {
- type -p chflags &>/dev/null || return 0
- type -p mtree &>/dev/null || return 1
+ type -P chflags > /dev/null || return 0
+ type -P mtree > /dev/null || return 1
# Restore all the file flags that were saved before installation.
mtree -e -p "${ROOT}" -U -k flags < "${T}/bsdflags.mtree" &> /dev/null
}
diff --git a/bin/prepall b/bin/prepall
index 3ab82157..aeafc766 100755
--- a/bin/prepall
+++ b/bin/prepall
@@ -5,7 +5,7 @@
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
-if type -p chflags &>/dev/null && type -p mtree &>/dev/null; then
+if type -P chflags > /dev/null && type -P mtree > /dev/null ; then
# Save all the file flags for restoration at the end of prepall.
mtree -c -p "${D}" -k flags > "${T}/bsdflags.mtree"
# Remove all the file flags so that prepall can do anything necessary.
@@ -17,7 +17,7 @@ prepallman
prepallinfo
prepallstrip
-if type -p chflags &>/dev/null && type -p mtree &>/dev/null; then
+if type -P chflags > /dev/null && type -P mtree > /dev/null; then
# Restore all the file flags that were saved at the beginning of prepall.
mtree -U -e -p "${D}" -k flags < "${T}/bsdflags.mtree" &> /dev/null
fi
diff --git a/bin/prepstrip b/bin/prepstrip
index d903a649..46d051d3 100755
--- a/bin/prepstrip
+++ b/bin/prepstrip
@@ -14,9 +14,9 @@ then
fi
STRIP=${STRIP:-${CHOST}-strip}
-type -p -- ${STRIP} > /dev/null || STRIP=strip
+type -P -- ${STRIP} > /dev/null || STRIP=strip
OBJCOPY=${OBJCOPY:-${CHOST}-objcopy}
-type -p -- ${OBJCOPY} > /dev/null || OBJCOPY=objcopy
+type -P -- ${OBJCOPY} > /dev/null || OBJCOPY=objcopy
export PORTAGE_STRIP_FLAGS=${PORTAGE_STRIP_FLAGS:---strip-unneeded}
diff --git a/bin/sed b/bin/sed
index d4b1d87b..0a798acb 100755
--- a/bin/sed
+++ b/bin/sed
@@ -6,7 +6,7 @@ scriptpath="${BASH_SOURCE[0]}"
if [[ -n ${ESED} ]]; then
exec ${ESED} "$@"
-elif type -p gsed > /dev/null ; then
+elif type -P gsed > /dev/null ; then
exec gsed "$@"
else
old_IFS="${IFS}"